module.exports = new Set(
  [
    'accessKey',
    // 'attributeName', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/attributeName
    // 'attributeType', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/attributeType
    'autoComplete',
    'autoCorrect',
    'autoPictureInPicture',
    'autoPlay',
    'autoCapitalize',
    'autoFocus',
    'autoSave',
    // 'baseFrequency', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/baseFrequency
    // 'baseProfile', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/baseProfile
    // 'calcMode', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/calcMode
    'cellPadding',
    'cellSpacing',
    'charSet',
    'classID',
    // 'clipPathUnits', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/clipPathUnits
    'codeBase',
    'colSpan',
    // 'contentScriptType', https://udn.realityripple.com/docs/Web/SVG/Attribute/contentScriptType
    // 'contentStyleType', https://www.w3.org/TR/SVG11/styling.html#ContentStyleTypeAttribute
    'contextMenu',
    'controlsList',
    'crossOrigin',
    'dateTime',
    // 'diffuseConstant', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/diffuseConstant
    // 'disablePictureInPicture', (case-sensitive?, unclear doc)
    // 'disableRemotePlayback', (case-sensitive?, unclear doc)
    // 'edgeMode', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/edgeMode
    'encType',
    'enterKeyHint',
    'exportParts',
    'fetchPriority',
    // 'filterRes', https://udn.realityripple.com/docs/Web/SVG/Attribute/filterRes
    // 'filterUnits', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/filterUnits
    'formAction',
    'formEncType',
    'formMethod',
    'formNoValidate',
    'formTarget',
    'frameBorder',
    // 'glyphRef', https://developer.mozilla.org/en-US/docs/Web/SVG/Element/glyphRef
    // 'gradientTransform', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/gradientTransform
    // 'gradientUnits', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/gradientUnits
    'hrefLang',
    'imageSizes',
    'imageSrcSet',
    'inputMode',
    'isMap',
    'itemID',
    'itemProp',
    'itemRef',
    'itemScope',
    'itemType',
    // 'kernelMatrix', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/kernelMatrix
    // 'kernelUnitLength', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/kernelUnitLength
    'keyParams',
    // 'keyPoints',
    // 'keySplines', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/keySplines
    // 'keyTimes', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/keyTimes
    'keyType',
    'lengthAdjust',
    // 'limitingConeAngle', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/limitingConeAngle
    'marginHeight',
    // 'marginWidth',
    // 'markerUnits',
    // 'markerWidth', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/markerWidth
    // 'maskContentUnits', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/maskContentUnits
    // 'maskUnits', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/maskUnits
    'maxLength',
    'mediaGroup',
    'minLength',
    'noModule',
    'noValidate',
    // 'numOctaves', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/numOctaves
    // 'pathLength', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/pathLength
    // 'patternContentUnits', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/patternContentUnits
    // 'patternTransform', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/patternTransform
    // 'patternUnits', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/patternUnits
    // 'pointsAtX', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/pointsAtZ
    // 'pointsAtY',
    // 'pointsAtZ',
    'popoverTarget',
    'popoverTargetAction',
    // 'preserveAlpha', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/preserveAlpha
    // 'preserveAspectRatio', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/preserveAspectRatio
    // 'primitiveUnits', https://developer.mozilla.org/en-US/docs/Web/API/SVGFilterElement/primitiveUnits
    'radioGroup',
    'readOnly',
    // 'refX', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/refX
    // 'refY', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/refY
    'referrerPolicy',
    // 'repeatCount', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/repeatCount
    // 'repeatDur', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/repeatDur
    // 'requiredExtensions', https://developer.mozilla.org/en-US/docs/Web/API/SVGAnimationElement/requiredExtensions
    // 'requiredFeatures', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/requiredFeatures
    'rowSpan',
    // 'specularConstant', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/specularConstant
    // 'specularExponent', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/specularExponent
    'spellCheck',
    // 'spreadMethod', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/spreadMethod
    'srcDoc',
    'srcLang',
    'srcSet',
    // 'startOffset',
    // 'stdDeviation', // https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/stdDeviation
    // 'stitchTiles', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/stitchTiles
    // 'surfaceScale', https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/surfaceScale
    // 'systemLanguage', //https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/systemLanguage
    'tabIndex', // https://developer.mozilla.org/en-US/docs/Web/HTML/Global_attributes/tabindex
    // 'tableValues',
    // 'targetX',
    // 'targetY',
    // 'textAnchor',
    // 'textLength',
    // 'transformOrigin',
    'useMap',
    // 'viewBox',
    // 'viewTarget',
    'xChannelSelector',
    'yChannelSelector'
  ]
);